=== debian/changelog ===
xgboost (1.7.1-1) unstable; urgency=medium

  [ Mo Zhou ]
  * New upstream version 1.7.1
  * Rebase existing patches.

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields:
    Bug-Database, Bug-Submit, Contact, Repository-Browse.

 -- Mo Zhou <lumin@debian.org>  Wed, 16 Nov 2022 13:57:22 -0500
