=== debian/changelog ===
xgboost (1.7.2-1) unstable; urgency=medium

  * New upstream version 1.7.2

 -- Mo Zhou <lumin@debian.org>  Tue, 13 Dec 2022 12:14:43 -0500
