=== tests/buildkite/infrastructure/requirements.txt ===
boto3
cfn_tools
