=== debian/changelog ===
xgboost (1.7.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.7.3

 -- Aron Xu <aron@debian.org>  Wed, 01 Feb 2023 16:59:09 +0800
