=== doc/requirements.txt ===
sphinx>=5.2.1
mock
sphinx_rtd_theme>=1.0.0
breathe
scikit-learn
sh>=1.12.14
matplotlib>=2.1
graphviz
numpy
recommonmark
xgboost_ray
sphinx-gallery
pyspark
cloudpickle
