=== debian/changelog ===
xgboost (1.7.4-1) unstable; urgency=medium

  * New upstream version 1.7.4

 -- Mo Zhou <lumin@debian.org>  Fri, 17 Feb 2023 16:32:40 -0500
