=== R-package/DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: xgboost
 Type: Package
 Title: Extreme Gradient Boosting
-Version: 1.7.4.1
-Date: 2023-02-15
+Version: 1.7.5.1
+Date: 2023-03-29
 Authors@R: c(
   person("Tianqi", "Chen", role = c("aut"),
          email = "tianqi.tchen@gmail.com"),
@@ -66,5 +66,6 @@
     methods,
     data.table (>= 1.9.6),
     jsonlite (>= 1.0),
-RoxygenNote: 7.2.2
-SystemRequirements: GNU make, C++14
+RoxygenNote: 7.2.3
+Encoding: UTF-8
+SystemRequirements: GNU make, C++17
