=== debian/changelog ===
xgboost (1.7.5-1) unstable; urgency=medium

  * New upstream version 1.7.5

 -- Mo Zhou <lumin@debian.org>  Sat, 17 Jun 2023 19:38:21 -0700
