=== R-package/DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: xgboost
 Type: Package
 Title: Extreme Gradient Boosting
-Version: 1.7.5.1
-Date: 2023-03-29
+Version: 1.7.6.1
+Date: 2023-06-16
 Authors@R: c(
   person("Tianqi", "Chen", role = c("aut"),
          email = "tianqi.tchen@gmail.com"),
