=== debian/changelog ===
xgboost (1.7.6-1) unstable; urgency=medium

  * New upstream version 1.7.6
  * Add code for the CUDA build in comments for d/{control,rules}
    + Use the correct compiler for CUDA build.
    + Embed gputreeshap (header only lib)
    + Use sed to patch the gputreeshap cmake file
  * Refresh lintian overrides.

 -- Mo Zhou <lumin@debian.org>  Sun, 16 Jul 2023 23:56:48 -0700
