=== debian/control ===
--- 
+++ 
@@ -13,7 +13,11 @@
                dh-python,
                libdmlc-dev (>= 0.5),
                python3-all,
-               python3-setuptools
+               python3-setuptools,
+#               nvidia-cuda-toolkit,
+#               nvidia-cuda-toolkit-gcc,
+#               libnccl-dev,
+#               libcub-dev,
 
 Package: xgboost
 Architecture: any
