## xgboost 1.7.6.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: xgboost
 Type: Package
 Title: Extreme Gradient Boosting
-Version: 1.7.5.1
-Date: 2023-03-29
+Version: 1.7.6.1
+Date: 2023-12-05
 Authors@R: c(
   person("Tianqi", "Chen", role = c("aut"),
          email = "tianqi.tchen@gmail.com"),
@@ -55,7 +55,7 @@
 RoxygenNote: 7.2.3
 Encoding: UTF-8
 SystemRequirements: GNU make, C++17
-Packaged: 2023-03-30 18:10:42 UTC; jiamingy
+Packaged: 2023-12-05 18:29:45 UTC; jiamingy
 Author: Tianqi Chen [aut],
   Tong He [aut],
   Michael Benesty [aut],
@@ -74,4 +74,4 @@
   Jiaming Yuan [aut, cre],
   XGBoost contributors [cph] (base XGBoost implementation)
 Repository: CRAN
-Date/Publication: 2023-03-30 19:40:02 UTC
+Date/Publication: 2023-12-06 08:50:02 UTC
