## xgboost 1.7.9.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: xgboost
 Type: Package
 Title: Extreme Gradient Boosting
-Version: 1.7.8.1
-Date: 2024-07-22
+Version: 1.7.9.1
+Date: 2025-03-25
 Authors@R: c(
   person("Tianqi", "Chen", role = c("aut"),
          email = "tianqi.tchen@gmail.com"),
@@ -47,15 +47,15 @@
 NeedsCompilation: yes
 VignetteBuilder: knitr
 Suggests: knitr, rmarkdown, ggplot2 (>= 1.0.1), DiagrammeR (>= 0.9.0),
-        Ckmeans.1d.dp (>= 3.3.1), vcd (>= 1.3), testthat, lintr, igraph
-        (>= 1.0.1), float, crayon, titanic
+        Ckmeans.1d.dp (>= 3.3.1), vcd (>= 1.3), cplm, e1071, caret,
+        testthat, lintr, igraph (>= 1.0.1), float, crayon, titanic
 Depends: R (>= 3.3.0)
 Imports: Matrix (>= 1.1-0), methods, data.table (>= 1.9.6), jsonlite
         (>= 1.0),
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 Encoding: UTF-8
 SystemRequirements: GNU make, C++17
-Packaged: 2024-07-24 14:21:15 UTC; jiamingy
+Packaged: 2025-03-26 09:17:37 UTC; jiamingy
 Author: Tianqi Chen [aut],
   Tong He [aut],
   Michael Benesty [aut],
@@ -74,4 +74,4 @@
   Jiaming Yuan [aut, cre],
   XGBoost contributors [cph] (base XGBoost implementation)
 Repository: CRAN
-Date/Publication: 2024-07-24 18:40:02 UTC
+Date/Publication: 2025-03-26 14:30:02 UTC
