## xgboost 1.7.11.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: xgboost
 Type: Package
 Title: Extreme Gradient Boosting
-Version: 1.7.10.1
-Date: 2025-04-22
+Version: 1.7.11.1
+Date: 2025-05-01
 Authors@R: c(
   person("Tianqi", "Chen", role = c("aut"),
          email = "tianqi.tchen@gmail.com"),
@@ -55,12 +55,12 @@
 RoxygenNote: 7.3.2
 Encoding: UTF-8
 SystemRequirements: GNU make, C++17
-Packaged: 2025-04-22 09:49:41 UTC; jiamingy
+Packaged: 2025-05-01 10:56:14 UTC; jiamingy
 Author: Tianqi Chen [aut],
   Tong He [aut],
   Michael Benesty [aut],
   Vadim Khotilovich [aut],
-  Yuan Tang [aut] (<https://orcid.org/0000-0001-5243-233X>),
+  Yuan Tang [aut] (ORCID: <https://orcid.org/0000-0001-5243-233X>),
   Hyunsu Cho [aut],
   Kailong Chen [aut],
   Rory Mitchell [aut],
@@ -74,4 +74,4 @@
   Jiaming Yuan [aut, cre],
   XGBoost contributors [cph] (base XGBoost implementation)
 Repository: CRAN
-Date/Publication: 2025-04-22 11:10:02 UTC
+Date/Publication: 2025-05-15 07:10:02 UTC
